summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2023-05-19 10:15:02 +0100
committerV3n3RiX <venerix@koprulu.sector>2023-05-19 10:15:02 +0100
commit1b76d39d04711631f8d9c7961d19e993e718e53c (patch)
tree983829b9d19c77ade95df4b2557259cd0480efe3 /dev-python
parent55f35733fd2cef66761513953c80be5312563c5f (diff)
gentoo auto-resync : 19:05:2023 - 10:15:02
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin258864 -> 258868 bytes
-rw-r--r--dev-python/apsw/Manifest2
-rw-r--r--dev-python/apsw/apsw-3.42.0.0.ebuild51
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.26.136.ebuild66
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.29.136.ebuild73
-rw-r--r--dev-python/httpx/Manifest2
-rw-r--r--dev-python/httpx/httpx-0.24.1.ebuild82
-rw-r--r--dev-python/pymdown-extensions/Manifest2
-rw-r--r--dev-python/pymdown-extensions/pymdown-extensions-10.0.1.ebuild2
-rw-r--r--dev-python/simpervisor/Manifest2
-rw-r--r--dev-python/simpervisor/simpervisor-1.0.0.ebuild29
-rw-r--r--dev-python/tldextract/Manifest2
-rw-r--r--dev-python/tldextract/tldextract-3.4.3.ebuild35
-rw-r--r--dev-python/u-msgpack-python/Manifest2
-rw-r--r--dev-python/u-msgpack-python/u-msgpack-python-2.8.0.ebuild22
-rw-r--r--dev-python/xmlschema/Manifest2
-rw-r--r--dev-python/xmlschema/xmlschema-2.3.0.ebuild37
19 files changed, 413 insertions, 2 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 2099de86ecd9..a2ed2300cbe1 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/apsw/Manifest b/dev-python/apsw/Manifest
index 5defd882a548..f273a4c577c4 100644
--- a/dev-python/apsw/Manifest
+++ b/dev-python/apsw/Manifest
@@ -1,3 +1,5 @@
DIST apsw-3.41.2.0.gh.tar.gz 871995 BLAKE2B 3d6959133cbfe8914eaadb46543a3a65db24b97aef362eb43e90448be34467a2a9e0f651ff67a9b0ce02df2c6eefa5b5e1c599547e72713e2ddbd1ec6c4f558b SHA512 292ea5a84f406fccb3ba5bf229a38d9c35a32f342b7e1065f08b2758c1d0d9b6517d37c32ce625f9e21cc55339eb2eea35da26a0f17d79a1fc58e1d6b08a8570
+DIST apsw-3.42.0.0.gh.tar.gz 863081 BLAKE2B 5eee11867e41c396be7cc9bbde1c4bb82a1e294ddd05613d6fbd50ac95c2d5e374632fde3215a838779253ad0f2eb97a4550771767a9f9f7a53c062c7eee5f7e SHA512 e0afa56d1a1d4e8627fe721c36098182efad23128cb053c7c25fc6412d6fe63a50beb66e0bc8dce527c17ff7bd9adb9e71a35fbc4ee769b5231d4dd941b21572
EBUILD apsw-3.41.2.0.ebuild 936 BLAKE2B 952874cc784b542c16b4ef8894331f8f3107048118b971da0d6c791a2aec5e95318c2eecd8fbf52438335e4e8fe691e48650af3ad0030059f8e7ea5f1b6fb80e SHA512 78adc5bd5695d84fc9899caa9c14541403e1f88d7aab89d734ad91527588e46e2dbb9e970c353720828f705b270d3a0ea2936bc9ddc0ab26f11712619be8be2e
+EBUILD apsw-3.42.0.0.ebuild 939 BLAKE2B dbb6b99696be58fe131372532914f0733da34538b940cbca6dcfa65bb5be8baaa794bdabdba5642447b8c1792e202e73f0437e614ee5e438857a90731a241ca0 SHA512 1b3a7ce08ef6355d6382d0ad8995d4473d230bec3f450bafa4b61e09c03356476c93fdfa73d658f07974aaf8a3999700ed38cd6d235a4bd5dba0285a6b5f759a
MISC metadata.xml 700 BLAKE2B 258344a1602daf3e081fdb4c94eda8af6e231def3f02fb80d63691b47d0a503c9caad80893386ce7ef42d6be2985906f3fc5cfedfe5a1044aee04c493f3d0683 SHA512 de73b4eb06d0bcf4c81e544a98ad15231b006d62fe22f6bce7e38740b941b98297fa1a38b00060ff83ae9f3259c5020c7071469f2a3f0d9e4f8f0301cb942081
diff --git a/dev-python/apsw/apsw-3.42.0.0.ebuild b/dev-python/apsw/apsw-3.42.0.0.ebuild
new file mode 100644
index 000000000000..cbe98664d4c3
--- /dev/null
+++ b/dev-python/apsw/apsw-3.42.0.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="APSW - Another Python SQLite Wrapper"
+HOMEPAGE="
+ https://github.com/rogerbinns/apsw/
+ https://pypi.org/project/apsw/
+"
+SRC_URI="
+ https://github.com/rogerbinns/apsw/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
+IUSE="doc"
+
+DEPEND="
+ >=dev-db/sqlite-${PV%.*}:3
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+src_configure() {
+ cat >> setup.cfg <<-EOF || die
+ [build_ext]
+ enable=load_extension
+ use_system_sqlite_config=True
+ EOF
+}
+
+python_test() {
+ esetup.py build_test_extension
+ cd "${T}" || die
+ "${EPYTHON}" -m apsw.tests -v || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/. )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 596e71ff4ac1..45b5229a0bdf 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -8,6 +8,7 @@ DIST boto3-1.26.132.gh.tar.gz 646952 BLAKE2B 1b819f0fefacd3c55cd877549709e62dde9
DIST boto3-1.26.133.gh.tar.gz 648114 BLAKE2B 97c71216d92baffb9e07f9c112590a1fc7828dc90b66364c9f344cb5f95aa927c80c56426c679e9bff8b3fa82d203d527d529cb337e786b471c1df120a9fb186 SHA512 66270dc31b85860320e5dbffc77d2f51e1d4e6d413624269171e3824020ead0cee842cea0e292748127c0584ced74f835cd46554240bd522787e77ad939dc69e
DIST boto3-1.26.134.gh.tar.gz 649039 BLAKE2B ac6c136c363fd14c373acdd5f1af2bb46b77fae74a5f633f87748ebebeeff8cbfcb3ed62874b255d9dea0824d565149dc0b9cf02f6a596e5b2278b77a479a4bc SHA512 195ae53f705bbc3cb801b4b8425071a796fdf6dabaf8f68d0fc4ec9e216cdbf5def719cc5a7f537f8a075bd5bd8a5d1aca35422d359b471c35dc58af04a63407
DIST boto3-1.26.135.gh.tar.gz 649517 BLAKE2B fbc1d4bda5ac932569ca26a17146ce9ca7e5f238b0f3465f1be8c35a26e07fe9649951f2d2bffd574d34239569b73510ca414ca92563d08a021c5aa968745650 SHA512 468a07a448b5aa76a437e6c56dcfc3d198bf28647c744a14f76946b889583bc24cb802a26386ddff449aea2731b2cfbfb859e6fecaa3ef05512bf4d33b9e476e
+DIST boto3-1.26.136.gh.tar.gz 650400 BLAKE2B 973b78276ab19b4607bb7b1909c91336f47219e097a385d34bc6529d8e97cfdef56447dc5760cbed5440d79b429f7b8c27bc38c00168d39b3c514657e06361c2 SHA512 c4eeb3bf5b5d7adb0cb2f81329984dda4f4f34eb123a875012d9ee874de4429a80d6834fe489691a9090b075815b0fe419b09884f9a2dfeb761ecc909db8241d
EBUILD boto3-1.26.123.ebuild 1508 BLAKE2B 42be8b915da646a7afe6dfc988542d3d79b5dbdc565d2e738d210e3f77b7c5ba6dfbac45e46b9cc3cc4770611cbc0c155abc7f1807ff0cb8e6033f927bea4048 SHA512 06404c0363c0c7c0d378d1c2b91073c137a1685d2d846d98c655e6d001df5cde0eb51bf6e160879af2b56321a02e84146ce634855f70c7c3fbbd1adbb9b8ef8e
EBUILD boto3-1.26.126.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-1.26.127.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
@@ -18,5 +19,6 @@ EBUILD boto3-1.26.132.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad33966
EBUILD boto3-1.26.133.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-1.26.134.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-1.26.135.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
+EBUILD boto3-1.26.136.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-9999.ebuild 1514 BLAKE2B 5d31d27ac50ed037fb8be61559bac03bd2a8c63f3220ac93ecc864c0e3cbd34763b9b70761a9f364cbc85a0edd84c6f6eeff614292f31473b4935e5bb86fae7b SHA512 26bd2959c745f0e423d683d2fedeab9a438d215fa9b28b403d0cea81caac7436f05382b2a91a183bc1095f3b205e3b2115f931cd7803e0b9838c2a507562da5c
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.26.136.ebuild b/dev-python/boto3/boto3-1.26.136.ebuild
new file mode 100644
index 000000000000..2a4a7643203e
--- /dev/null
+++ b/dev-python/boto3/boto3-1.26.136.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 2a335bfa7b5e..0868a8aeec9c 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -8,6 +8,7 @@ DIST botocore-1.29.132.gh.tar.gz 11478315 BLAKE2B 79b6a073cfe33b537f459c1380e7dc
DIST botocore-1.29.133.gh.tar.gz 11484789 BLAKE2B ce1acc51ffada796e594090e7b4d73029df362459a562116ad9dabc56b926f7beec5644e5ce7d175e8901eac28420b57b758be266aa61582cac7e4b91b794e05 SHA512 62631be4f9bf07803e193a8a7ff3b04a806d6dc7668317765b853bba1f1c66cf49c8345f7640f829622c3c8ce96c775bf00bbfa943ff175a6c9a479a888e85db
DIST botocore-1.29.134.gh.tar.gz 11487191 BLAKE2B a50ff2681ebd56a55138b29be3177dd814ec4b37e4dbeb2144013c9b812de0db0593cc011347024d2c441d4d513180f0b98b26f89a17747b2a4a06a2c71dd9b4 SHA512 4358d3a4baf1f255f1d0d42fa331bad29d8e8d700156789723837bc60fc290d145a763ddfdadf6d78ee216de68332bed5b3b158858807718fbff35b853387c91
DIST botocore-1.29.135.gh.tar.gz 11491287 BLAKE2B 722ba9b0a679b947e0d59a761d7711b44929005764f223cff23455ca43ae54f4b8c7ae0b055afb42e0a95673ecc4303c41ab98144c05abeaa5bd33bb02d4f8ae SHA512 09ebb3b853b6ef8b275b92716cd2ecce780f58c9a26aece2bbc5ffc30e9dd2e3746758b7a9de6eff4b81e959b8c57bbdbc71f64b21ceb73d024b76cec456b12d
+DIST botocore-1.29.136.gh.tar.gz 11494292 BLAKE2B 99186af221bcb9d5d45efaa467ce71bae87e995e958a24d08e540ae5377fa1b6a2ab44be24e05dab53182cbee6fa80435090917ec4e983d668dacc48302cdcb5 SHA512 00da837d157efb32a8cc1dcdd9b36d257955863c83bcad25609623bf74e13de50cdcee686da80845045202014c8402738bd0def0bb629a95780ac94f1ad64510
EBUILD botocore-1.29.123.ebuild 1827 BLAKE2B d9e353ffebf3b77bdb5b034da339f9f3cf95937e288fa522fcc40f88a4752c58ae085406bfefa595c3738ec118712cdb4ee0509c1dee7a00e2c76cd2a657009c SHA512 f0d3e81726bd65bf4c097b63e8673881949970e29d976de53c1facbccf8cd1d214fea9153f4820a5889f1892979342a0255e110b243ba613d4e803a940d46602
EBUILD botocore-1.29.126.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f825049d40d8e9d9eedf1323d130634b578f68adb046db30e3e9a4168361da69d99471a7b744407dc103130a114994 SHA512 45952178574e99269d9767374818d867bfcc47ebf0f4c37dbab6cf50089577badb69967bd06b0b2d10b15dcd1c3e8b82adac88404d7c3b7d7784292b4005e797
EBUILD botocore-1.29.127.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f825049d40d8e9d9eedf1323d130634b578f68adb046db30e3e9a4168361da69d99471a7b744407dc103130a114994 SHA512 45952178574e99269d9767374818d867bfcc47ebf0f4c37dbab6cf50089577badb69967bd06b0b2d10b15dcd1c3e8b82adac88404d7c3b7d7784292b4005e797
@@ -18,5 +19,6 @@ EBUILD botocore-1.29.132.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f
EBUILD botocore-1.29.133.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f825049d40d8e9d9eedf1323d130634b578f68adb046db30e3e9a4168361da69d99471a7b744407dc103130a114994 SHA512 45952178574e99269d9767374818d867bfcc47ebf0f4c37dbab6cf50089577badb69967bd06b0b2d10b15dcd1c3e8b82adac88404d7c3b7d7784292b4005e797
EBUILD botocore-1.29.134.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f825049d40d8e9d9eedf1323d130634b578f68adb046db30e3e9a4168361da69d99471a7b744407dc103130a114994 SHA512 45952178574e99269d9767374818d867bfcc47ebf0f4c37dbab6cf50089577badb69967bd06b0b2d10b15dcd1c3e8b82adac88404d7c3b7d7784292b4005e797
EBUILD botocore-1.29.135.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f825049d40d8e9d9eedf1323d130634b578f68adb046db30e3e9a4168361da69d99471a7b744407dc103130a114994 SHA512 45952178574e99269d9767374818d867bfcc47ebf0f4c37dbab6cf50089577badb69967bd06b0b2d10b15dcd1c3e8b82adac88404d7c3b7d7784292b4005e797
+EBUILD botocore-1.29.136.ebuild 1878 BLAKE2B 06c08bef2669a4d7a368940886cbbe9c9cc2dfbfa8b53fb57067957e904723f41b7c9339f776b5cb69a51caa999e5a962212c51e713e6d10b7e76c8e424d1438 SHA512 84ba51a40c75b10dea7795187157ca75d3a27a2d858a4f1a0bd19ab7fd3010eac8b764ff4279f70599eec9c846ad7955aa696338c44c055b04627ed07405e606
EBUILD botocore-9999.ebuild 1736 BLAKE2B 6ca7ea14855f5f8db2d166ba1f29835d4c994a0a8fa38f3852406289a4465c091909562ac678f1c0bf7e640a594731b0d4319efc0f34f6bc640fbae06746c4bc SHA512 f891bf0eded88d9af3b87fc7c9ee4c6a129d263e672821f3b9654d43bb3bcac41305b834192088d15b50f3f9d36ea95374180cf13e1cb67149595ec63e4cc155
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.29.136.ebuild b/dev-python/botocore/botocore-1.29.136.ebuild
new file mode 100644
index 000000000000..b446172b3f31
--- /dev/null
+++ b/dev-python/botocore/botocore-1.29.136.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ <dev-python/urllib3-1.27[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/httpx/Manifest b/dev-python/httpx/Manifest
index 3eb2b9ee39d3..b9219c411e6e 100644
--- a/dev-python/httpx/Manifest
+++ b/dev-python/httpx/Manifest
@@ -1,5 +1,7 @@
DIST httpx-0.23.3.gh.tar.gz 2163546 BLAKE2B 96903669ca9d22cbb85bd322a407aa2b6799b5f8bfce277a763248ac2d65d60b85c0c71f24af99098eaca585f8136d9db687d6d0ab8cf2347d3c6fe28222def0 SHA512 d4f051578de63e677492727c466d44858c31d1b85441621667d4aeaec5cd2ebd0257a1db115f1b4d77d563359dfc81c2cd1221c0cc66c891b461fa1f4e8a5aee
DIST httpx-0.24.0.gh.tar.gz 2167376 BLAKE2B 261298dcb65b22c4b188b03a7f650ed2527c8dd3b70d2d21f38f199ff465b107cf034140b349961da19894abdb287ceafb7997dbcc8a4e89b0e319b21121d024 SHA512 52ccd285cee6032c604160484520522957fdfb4735385bf68d594574b4525b89ea007eb71a653cdf01381610f350c8120c36422e0fda91c39dad437f5cb3f486
+DIST httpx-0.24.1.gh.tar.gz 2168238 BLAKE2B 97a23e14635e8863b8f6fe80691ac4ae1706e0ce426d7cf9efa26ab54bb026d4a230a072bc16ec2f7edc08c768107ee00443626be1734d566bca8a190daa5ed0 SHA512 056741ef4e356f13adfcb66766489b39e79dbf4264d9780b8788c0934f7f3ff1a9b6bcb396a9f146e88315831f5399cebdd537c5a39c86b9b6bac3600d5560b6
EBUILD httpx-0.23.3-r1.ebuild 2065 BLAKE2B e72bd8f840db20e9b1a81cb553f1944f0f61833bda85d00c1991e783374a8c9834e8777e461cf9d25dd82f613611ab220fc37c79536f2899e55449f9e0d0d8cb SHA512 7e9feb79312692bccd4ac41da00d00f301b345a259a1ab740c614813042d0ad1639e7f3269dfcc6d3d1467793c0ac4b1f454fd1f54fc0a08a7fce3292a2b1e35
EBUILD httpx-0.24.0.ebuild 2027 BLAKE2B 33ed5ce8442e134cff8b575b22cd8ff79bc8fe2695bd6006b9dc60a49933d693239e49c407ae53468e2391a71ab778098a4f6a1e51aaf1e4fa657a0be5c6aeee SHA512 122c008fd9007451bbcbc53026011d65a5ae00a58458c230b7f3b56bafe09885588e04bd3f2690f7d60000d8fcc3cf0f69f8aefb2f0bde6769eaa079a335f367
+EBUILD httpx-0.24.1.ebuild 2036 BLAKE2B eb844a9ac39be1053241d19278e08dcd068f39841343dbdf87ce792ce6ca1bf81f4451ad849e142ea6e9fa1a4c9e47eff1034770057650d32a05360c9c5ab13e SHA512 cd6eecaeeacf1f8089d0d3f4583a896c0e6ad3708b97cc3df02f71c8d1776cff949fa397fdcd1af47ba7b7cea36d910ec5758b4e8e5d23152faea7a03698a8cf
MISC metadata.xml 518 BLAKE2B 063b5b95529cd5a31aac83998c0acbdfef208c34e931c96ae8ee767a326301a597a8297514b5c97bef2b3b706b8938d38c0e5f5d752307a9dd06984792c799a2 SHA512 3a29dffa0f951255a67468b28917590d4108ca12e14af03bfddef80f6d48e266fcccdd991e778ab9e267c0bc76ff0017e07905c1f2f45dc440a9af89f6cae6aa
diff --git a/dev-python/httpx/httpx-0.24.1.ebuild b/dev-python/httpx/httpx-0.24.1.ebuild
new file mode 100644
index 000000000000..0912c3ade94e
--- /dev/null
+++ b/dev-python/httpx/httpx-0.24.1.ebuild
@@ -0,0 +1,82 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..11} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Fully-featured HTTP client which provides sync and async APIs"
+HOMEPAGE="
+ https://www.python-httpx.org/
+ https://github.com/encode/httpx/
+ https://pypi.org/project/httpx/
+"
+SRC_URI="
+ https://github.com/encode/httpx/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ <dev-python/httpcore-0.18[${PYTHON_USEDEP}]
+ >=dev-python/httpcore-0.15[${PYTHON_USEDEP}]
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/sniffio[${PYTHON_USEDEP}]
+ cli? (
+ =dev-python/click-8*[${PYTHON_USEDEP}]
+ =dev-python/pygments-2*[${PYTHON_USEDEP}]
+ dev-python/rich[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ dev-python/hatch-fancy-pypi-readme[${PYTHON_USEDEP}]
+ test? (
+ dev-python/anyio[${PYTHON_USEDEP}]
+ dev-python/brotlicffi[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/h2[${PYTHON_USEDEP}]
+ dev-python/socksio[${PYTHON_USEDEP}]
+ dev-python/trio[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ dev-python/uvicorn[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ if ! use cli; then
+ sed -i -e '/^httpx =/d' pyproject.toml || die
+ fi
+ sed -i -e '/rich/s:,<14::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/client/test_proxies.py::test_async_proxy_close
+ tests/client/test_proxies.py::test_sync_proxy_close
+ )
+
+ use cli || EPYTEST_IGNORE+=(
+ tests/test_main.py
+ )
+
+ epytest
+}
+
+pkg_postinst() {
+ optfeature "HTTP/2 support" dev-python/h2
+ optfeature "SOCKS proxy support" dev-python/socksio
+ optfeature "Decoding for brotli compressed responses" dev-python/brotlicffi
+}
diff --git a/dev-python/pymdown-extensions/Manifest b/dev-python/pymdown-extensions/Manifest
index fe256df19097..79568450221f 100644
--- a/dev-python/pymdown-extensions/Manifest
+++ b/dev-python/pymdown-extensions/Manifest
@@ -1,7 +1,7 @@
DIST pymdown-extensions-10.0.1.gh.tar.gz 1063025 BLAKE2B 937273053918cbb8e0245ba38a78a93184a492e21846db60f675d015cc5f942bef5e7085136cc861aa4a6068096e23fdb5f212182d47f245ac6a45127b5ca2a2 SHA512 579aa70c21cffdc7d5ffd927bce071f40bc6ace040cbcb4d15d620a54b97eae2cee7afa049e9005dccc2081dac7db3ff7e2deb2c1c468cf27fe42a306b6e46ab
DIST pymdown-extensions-10.0.gh.tar.gz 1062913 BLAKE2B a7f0da6ce416ece64ecf4340e9c0c0330858cc972924b7d646abfb2080b10814f81bf4f5ad42895e523edfb1bdb61e805cb66507780fdad04dad7ffa6e266c66 SHA512 660e903705fe379e6ed2c67ede21eea8a4d0e14731e036b556eaccc6a3ab76dce71e29d1581fbd822794d66382970fbc95ece9c2cd2f5854018a81a65e06239a
DIST pymdown-extensions-9.11.gh.tar.gz 1062074 BLAKE2B d695fa946c264f7ce2da7731fd5ce5388152a2179830108a6b43f769144246c33118084b4b2fe1e45b4255e26dc91871be699043008f67d2f04c5e5396f9ad12 SHA512 7745f0da83e3ecab9ac16947662c7a4da31e9ed62c6c519457083e0e8075f386a10146f18edc59cb17dee383335bb303c109da2ab08501118a53ee7315b1095f
-EBUILD pymdown-extensions-10.0.1.ebuild 1354 BLAKE2B 314344afa98ad9ec8a8b06a47f4e8b14282412a7c8990dfc19068f8d58c437d925d5075846d67d7752ad22834ca6906a71a4d46ae697ee86f3912b9a39ef5704 SHA512 a44583fa5023490e02b1e521d891f5ed8285c4bb2f877d7f1a3ad92f90db1ff208e43b3cae777d1037cf7ff540a09720766d1019429f941258fdd4c2ce6d12b1
+EBUILD pymdown-extensions-10.0.1.ebuild 1352 BLAKE2B 1c1d5961f011bfab257badfbfba2492e7627e76b0386080a7167dc210e2e3f3625df15466157a1b3aefa0e77ae76b67883e2ed0382f5f9307665b246da491894 SHA512 e9c7dd37e30b109e25e766b0fc997d7422b49329d269a96d66dbb5352701cf7ff8684218d5f188811a71a5c7b032d8671ce3f53343c0c3f68a59aeb8fec36d3e
EBUILD pymdown-extensions-10.0.ebuild 1354 BLAKE2B 314344afa98ad9ec8a8b06a47f4e8b14282412a7c8990dfc19068f8d58c437d925d5075846d67d7752ad22834ca6906a71a4d46ae697ee86f3912b9a39ef5704 SHA512 a44583fa5023490e02b1e521d891f5ed8285c4bb2f877d7f1a3ad92f90db1ff208e43b3cae777d1037cf7ff540a09720766d1019429f941258fdd4c2ce6d12b1
EBUILD pymdown-extensions-9.11.ebuild 1351 BLAKE2B b1f0c784c925e6eaa28c5e0347df360d9e3ce5ebd4df116586eb430d00f5239cfea6bec965c4652324fdd10cb4636923b5304f861d5ce1c8d0975085bff2a78a SHA512 3575978522171454980d5421e8b9e772e41a2fa1821a10face999a71e93917050595fc29a4bbe6dce4ae2ac8d82e0abd1fa6a8478784cac68c82b09105c5b214
MISC metadata.xml 536 BLAKE2B f417ab2132b06eadbf1785654080084c4ef694f983e223ade83d5c77213e4443203a498a168efd68e4a3b1cccbe019c5b88716ac851719b9197deba9d2fd5411 SHA512 51304b48f9e296abea376be300053e041ea331f93e1ec7a2a3cdf10eea0ed6e9b8f04cdcbbed7920b46c60d5f6ce9337e3e25635516871d7b080eb54bfa16f57
diff --git a/dev-python/pymdown-extensions/pymdown-extensions-10.0.1.ebuild b/dev-python/pymdown-extensions/pymdown-extensions-10.0.1.ebuild
index 31418053ff8b..97ae3bb35874 100644
--- a/dev-python/pymdown-extensions/pymdown-extensions-10.0.1.ebuild
+++ b/dev-python/pymdown-extensions/pymdown-extensions-10.0.1.ebuild
@@ -30,7 +30,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv x86"
RDEPEND="
>=dev-python/markdown-3.2[${PYTHON_USEDEP}]
diff --git a/dev-python/simpervisor/Manifest b/dev-python/simpervisor/Manifest
index 9e0d57142246..20db48768002 100644
--- a/dev-python/simpervisor/Manifest
+++ b/dev-python/simpervisor/Manifest
@@ -1,3 +1,5 @@
DIST simpervisor-0.4.gh.tar.gz 8542 BLAKE2B bd96284b65468110f445e96a9978b67bc73b0a0f188dcaf592f42291937130e72247195b8ce142726ba430716b87283d844003bb0980de952531639417a23f50 SHA512 4aea0071d6a486c7b27fc39fa02d7b610d680c90ba07f3c27c3d98b132b79b97bcb5c7847ce9d3ca7bb46663f91494e0012c8c9e14017ca1c591fb6312419692
+DIST simpervisor-1.0.0.tar.gz 14637 BLAKE2B 3e87cca2478f29e044cafa0f5da6a5c8cfdf61f5c39ce87a0a6bae91670463d894e5c23af53c915b7d3469eade8d26947ea2e5c05c6d491bd33222e817319100 SHA512 0074ca5da0839f7bcf3f692f33f9a27358409bc194cfe04ff906aaec5f4cfbd613ccd285612ac473f5b6452a5c31959c098955a1962755a5c09258ded0d2a430
EBUILD simpervisor-0.4-r1.ebuild 581 BLAKE2B 67dcedf57c4e6bf5ea3e9e3b5c3915f94f0edafc25d458bd093fa45e43e0c7483cda29b0a0e7b63b006cc55134388b0f59496825fb4100ef4d616ab566faad29 SHA512 674a81a0d06ab1aa8d2bf859c2c82c28a4ffd75e96172c8a8e683e01a0a95616951b5c11467a4f665af1f7b81c1a8ad03cbfad8f53e6589817276102c546382b
+EBUILD simpervisor-1.0.0.ebuild 577 BLAKE2B f1a8a76ced63574db119686a569401d8a8f17da04667310c241409392b3574d12a784481942c5aae8f3c298e44421573118f1ef713523386e8e07898360e17f1 SHA512 18e73b7e567d5009dfa174bd5e1b734802d5de1187b72a04624e6eb94f3859f19a4b26052b65099c39adf1c2107f32f7854d576a4408f98dd10c9d2158780de8
MISC metadata.xml 416 BLAKE2B 5a2eaeb468acd18ff9b8259bd8428aeb23292e06ad087f0fa9d7b4a3ffd340c8458fad980223b1b342225b518db8eea23af97f07079ae9a3518bb5a50d17edbf SHA512 2cf5e0a854134ed7de9418ba3f84e7a5708ca158021bcb3467b335a9b59686f034a152884e40aaf487b1f3f430f7404f8ed4e52f0192800400aa5cd32b31167d
diff --git a/dev-python/simpervisor/simpervisor-1.0.0.ebuild b/dev-python/simpervisor/simpervisor-1.0.0.ebuild
new file mode 100644
index 000000000000..b7132dedeae9
--- /dev/null
+++ b/dev-python/simpervisor/simpervisor-1.0.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Simple Python3 Supervisor library"
+HOMEPAGE="
+ https://github.com/jupyterhub/simpervisor/
+ https://pypi.org/project/simpervisor/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/tldextract/Manifest b/dev-python/tldextract/Manifest
index b3b67b802cb0..b18b2d0ef251 100644
--- a/dev-python/tldextract/Manifest
+++ b/dev-python/tldextract/Manifest
@@ -1,7 +1,9 @@
DIST tldextract-3.4.0.tar.gz 111437 BLAKE2B 94a3a77144fcaddebdf2129cea8fd43e971f0ac9b40029c6c1735ee06f499f4bf48823fc61540d99f71fd62192742c10168ef8f25b534eec9e2a04d3879be63a SHA512 6cd6b079c35af62e4f8da67c687630471d1a57ebfab7d982abe411b03fb6673dd238a1f676de5624d13bd2eb42b91ae0a97708e33579217916d88bca4db218db
DIST tldextract-3.4.1.tar.gz 104202 BLAKE2B 24e6f5a4af1718fdf3b52b2c12146849033b80fc0ba0320ccf72735fd0e39c36678660a70a203964ebd92acb3911e037b899b1796a941731735fa1e028999cd1 SHA512 6b63ba8f800e1adc836ecee43947fc0ee5198eefe7d3f64a267c7e0a4d18a44c60454ba67636a4b19e00a125f8b37f1f816f782976a9a335e5500a333c8e07aa
DIST tldextract-3.4.2.tar.gz 105004 BLAKE2B 0bf2eddea49983720a554874bf1ec2d3280317657c9752d87ef825c9ce451f15a443c847d2bdbd6ac0f3fa3166da4bfce9852f6aff6710c5a53d8ac42541e9f2 SHA512 60ec9d99339940354db03e01d46bed571d604be9edce406476696d6a4d5e07677243f4c7f40fb1ca7e7f2f6bbe9d7d25a4959ade7f5091bcf89524c2c9cc927d
+DIST tldextract-3.4.3.tar.gz 105593 BLAKE2B 46e3998fe208a188ec3d547ade8ec8019f712b3b36d692dff44130c9daac879a1ba8e859565e6f5631415254a3cc625bbadfb499d450fbae7fbbfe32e108eae0 SHA512 6bdc66e73bbc537a355c21ea6d2b512e58f2199f7f38ae8d737aa4ecb7c615250276bdfb2aab939df06877216407c083b248d054cc2ad07fdc4243dbbef318c5
EBUILD tldextract-3.4.0.ebuild 805 BLAKE2B f572853301263e96298f36fc83fe5bc2b32f28980f6f1bee9e936663f98fee48af63bc1fb46b2f592feed76a6f704948ab52c80c0bdb2250c91db7a08d4f8ae4 SHA512 4baac3a4709a29d92a90b4b20473d9236e98c7540b29a7210485652c0b99f118007d122a1cdbbf7cea63e617473efcd80c5def827b07cc07d53b75d8fa43c686
EBUILD tldextract-3.4.1.ebuild 806 BLAKE2B a02cfd636006b8f9c691eb025f1848d95f31be6bc64038c27ebab159905354f42d5dd74e442b8c00aa8175d0db30bb3ba24b58db67b13941b095252fd5723aeb SHA512 167c7c382fc28a76af036d1b044989482dd1a78b44fcc7c65728d55ff1d570e0fde799f499cd17b86b875cdf03b43e56bcb69721420abf230fbddad8a2c96e58
EBUILD tldextract-3.4.2.ebuild 807 BLAKE2B 6c74f9908b049534cc924499695f5043c3660c380e8a0a545e4f0568411a83584fffa88e64856f306df2fe5aef6dceab8b78dd7b249591bddfcb833edc9796b2 SHA512 e9ac62047f33f7790faa925e8c558392807a198ad972cd73b100832f2032b75b4020efb765d824a0a423a09b50892961cb1fc6558510a55dc02c286d6356530d
+EBUILD tldextract-3.4.3.ebuild 807 BLAKE2B 6c74f9908b049534cc924499695f5043c3660c380e8a0a545e4f0568411a83584fffa88e64856f306df2fe5aef6dceab8b78dd7b249591bddfcb833edc9796b2 SHA512 e9ac62047f33f7790faa925e8c558392807a198ad972cd73b100832f2032b75b4020efb765d824a0a423a09b50892961cb1fc6558510a55dc02c286d6356530d
MISC metadata.xml 560 BLAKE2B 4d6e6aa7507ce4734371e8b8442e8d4840db0d2896f7e7430438bc9b700edf6c8546fc3beb1e17d489013b6cc49d1daf805581d6fda29f51109e7a643b0e8965 SHA512 4e7ed8a1876afc62954ee58937557182099ea2289633d2d279a2982bb32a8de261163f0b83ba44c257b8c087c007b1bb462ecad69df1115a024a3a9c8ea1fe9e
diff --git a/dev-python/tldextract/tldextract-3.4.3.ebuild b/dev-python/tldextract/tldextract-3.4.3.ebuild
new file mode 100644
index 000000000000..421d0afe56cf
--- /dev/null
+++ b/dev-python/tldextract/tldextract-3.4.3.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Accurately separate the TLD from the registered domain and subdomains of a URL"
+HOMEPAGE="
+ https://github.com/john-kurkowski/tldextract/
+ https://pypi.org/project/tldextract/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/filelock[${PYTHON_USEDEP}]
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-file[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/u-msgpack-python/Manifest b/dev-python/u-msgpack-python/Manifest
index c89601ce663f..3207ea1c88d3 100644
--- a/dev-python/u-msgpack-python/Manifest
+++ b/dev-python/u-msgpack-python/Manifest
@@ -1,3 +1,5 @@
DIST u-msgpack-python-2.7.2.tar.gz 20654 BLAKE2B 0365e4e778c9979d9154d8a267ba3bdaad9b2ef808723d2ae89e078fc0c8d76aebab234f1723985cf3b288274123e49571607599d6087ea234e3e8dc11e3a302 SHA512 e5d35bc03e5c23cfbaf9cc7f6459576e89b5dd19661ddff2a4ab5de2751e0b73c17e4685c6fead15ce2bf100b2250a3ba7cb10a7fa3f23debfa2141f4370b623
+DIST u-msgpack-python-2.8.0.tar.gz 18167 BLAKE2B 9cd0bf2a7dca8eac4c990e320a5d3c325ea31867c82a46d588c8e9bfae1feef504916f8cb75d3f2ed2adb3fa13c03c07fca91071d5d9a6d6ab47686539d704bf SHA512 61dd332c9f72db65a6a949e2acdc668ab01981b3eb1e9fd58e506d35d47f5f656b9d0abec92ae0e4d949bab063aeff75c205b92758275d99dbbe5f65f15241b9
EBUILD u-msgpack-python-2.7.2.ebuild 591 BLAKE2B 43c8d2b5ec8e724d62ce383b8a353c13d153eecbe388686844824af4619748c29589e600c721b61b787f5e4ad3a3c5164b6ed463b5f830c47e78c59c674c702d SHA512 6efc1d68285e127276c5ba67bbf3a5154c92a7afa8bcdca649a44d2c05d6fc6b6eb4e1cedf90d6aed08fdcb72df05283d36c5a735e35220c68c53e139f625cbb
+EBUILD u-msgpack-python-2.8.0.ebuild 600 BLAKE2B 32299f9e73df252361ef3cdc823d7ce4596d9c274d5af2143e2768018d1746e6df1cc734aba3f05ddaf34a9d833ce37bb48819367ac683489db438da93082a06 SHA512 e68821e25ecbdbd30f9ba13637655367f35d84c33e97a07e3e10b336963ecdda760486e9e4567cf4b9be09f1568c860a72d07162f49143ffb388a369f4783f78
MISC metadata.xml 932 BLAKE2B 6c35c0276d1f132074198ec85c5b80967dda5eceef914b3e8c444c50926a83638a97754a483fbadd6246931af2eaf5de86c97d48ce6346da55dce1e577ea47eb SHA512 cdc35e790e2c454af8e82456fa438bfbe0c9e569001bd94d416b48d37f6ca8e78540fb76ad37c72c1cd632eff2f66d782e28265c5825f94f989786cebba59e67
diff --git a/dev-python/u-msgpack-python/u-msgpack-python-2.8.0.ebuild b/dev-python/u-msgpack-python/u-msgpack-python-2.8.0.ebuild
new file mode 100644
index 000000000000..b58e66e47898
--- /dev/null
+++ b/dev-python/u-msgpack-python/u-msgpack-python-2.8.0.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A portable, lightweight MessagePack serializer and deserializer"
+HOMEPAGE="
+ https://github.com/vsergeev/u-msgpack-python/
+ https://pypi.org/project/u-msgpack-python/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+distutils_enable_tests pytest
diff --git a/dev-python/xmlschema/Manifest b/dev-python/xmlschema/Manifest
index 4307bd29eeae..860c2d0301b6 100644
--- a/dev-python/xmlschema/Manifest
+++ b/dev-python/xmlschema/Manifest
@@ -1,3 +1,5 @@
DIST xmlschema-2.2.3.tar.gz 493444 BLAKE2B 64b8cbc27fe0378cc0a90e110f5c816a25f8b67b61b12363b200035cdc60ba1492923589a8b2b8d3c8a20ecaef85c6acb3c448a377d793efe87f7ad7a6a95bc3 SHA512 978f48d1d79cc8c4f3eab22fd2396da24abd42ea5d36439b72a7783d59e17863b647039a3a058513efd170e78c340705d5729dabd28aa8c26b0c4b2133a67222
+DIST xmlschema-2.3.0.tar.gz 494204 BLAKE2B 96daf1753ec8430fd2be892086a2b7cbb730729e407723845b6fc94175e1a6137df660fce0282ff0940903fe14d87dfbc14a4822ee8bd505861c142fadcc6cff SHA512 1e5a0f36e4e456ac49d808aa3480a68aa269296780a6d1dfa9e2cc8b3616971ba06abf632c1ff51eee0d6f0654d22ba5d1fa805fda81c6e3cfaa33fbc6301267
EBUILD xmlschema-2.2.3.ebuild 829 BLAKE2B 2c93bc26b9b0ec48645d3068d7c6f397a7706aa3ebfb5fce74d55819a74b221b93ed53e639f2381d2960d4567622a5b7d3f8b9ef1c3dad6f22a130f0e1a83a9b SHA512 b95d73901c8ed6fa992d2d47d0bdf1f5cb9aa57a4066d3f90fec8d0a771d649c7fc3b34f6da043556006e949cb35507ee9f5b1e46f27a512d71d4156cfeb8cc6
+EBUILD xmlschema-2.3.0.ebuild 838 BLAKE2B e99d35831795aaa0a5c3256713741552727b11bee00f51ef07cb7d4c27c22bf36287cc12439bf0d7028dc450d6d97a4a5f3867cb210996e23d711002b4393795 SHA512 70ef26fc7c1358f30964b025895a188c19d91f386127165a9046909fcb0cee0737618036f93b359dcfa83d62c7124058004f74cc08488a6659ff48f43cb567ef
MISC metadata.xml 376 BLAKE2B 6aa6c0ef38b17f49452a3db71c7f449dfda8951e2196b904235592921620b6a2064021aae7a1a30639e637c3b9bdb46bcaebec1903a081a41832bd0c5199dde9 SHA512 b814209cd4b87ad5cb8bc447f1d485043d8386339607f39575faf2d26c19b69befa9fd7b7eb2d3fca4b5e60499091a59c1466cfc2f0d9651430949893e2edaeb
diff --git a/dev-python/xmlschema/xmlschema-2.3.0.ebuild b/dev-python/xmlschema/xmlschema-2.3.0.ebuild
new file mode 100644
index 000000000000..d16a20872604
--- /dev/null
+++ b/dev-python/xmlschema/xmlschema-2.3.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An XML Schema validator and decoder"
+HOMEPAGE="
+ https://github.com/sissaschool/xmlschema/
+ https://pypi.org/project/xmlschema/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ <dev-python/elementpath-5[${PYTHON_USEDEP}]
+ >=dev-python/elementpath-4.1.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ "${EPYTHON}" tests/test_all.py -v || die "Tests fail with ${EPYTHON}"
+}